Page MenuHomePhabricator

elementary: Efl.Ui.Image_Factory bind property also during widget creation.
ClosedPublic

Authored by cedric on Sep 15 2019, 11:38 PM.

Details

Summary

In the same vain as previous patch this will initialize more of the widget during its
creation and reduce unecessary recalc.

Depends on D10033

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Sep 15 2019, 11:38 PM
bu5hm4n added inline comments.Sep 16 2019, 12:39 AM
src/lib/elementary/efl_ui_image_factory.c
38–39

Can you prefix this with EOLIAN ?

zmike requested changes to this revision.Sep 16 2019, 6:24 AM

you have to actually reject patches if you want changes, otherwise nobody is going to look at them.

This revision now requires changes to proceed.Sep 16 2019, 6:24 AM
cedric added inline comments.Sep 16 2019, 7:53 AM
src/lib/elementary/efl_ui_image_factory.c
38–39

What is the point of prefixing with EOLIAN?

cedric planned changes to this revision.Sep 17 2019, 8:26 PM
cedric updated this revision to Diff 25193.Sep 19 2019, 1:14 PM
cedric edited the summary of this revision. (Show Details)

rebase and take comment into account

bu5hm4n requested changes to this revision.Sep 20 2019, 12:30 AM
bu5hm4n added inline comments.
src/lib/elementary/efl_ui_image_factory.c
38–39

When i read this the first time, i am not thinking wtf where is this API coming from, i know from where it is called, i know it is public and not private. Which has for me an impact on how i reveview the method, as i tend to do more input validation for public APIs than on internal APIs.

This revision now requires changes to proceed.Sep 20 2019, 12:30 AM
cedric updated this revision to Diff 25283.Sep 20 2019, 3:23 PM

phab!!!

cedric updated this revision to Diff 25410.Sep 23 2019, 4:09 PM

rebase and take remark into account

SanghyeonLee accepted this revision.Sep 23 2019, 7:32 PM

looks good to me.

bu5hm4n accepted this revision.Sep 23 2019, 11:56 PM

Hallolulja

This revision was not accepted when it landed; it landed in state Needs Review.Sep 24 2019, 12:19 AM
Closed by commit rEFLaf3f1b070f1e: elementary: Efl.Ui.Image_Factory bind property also during widget creation. (authored by cedric, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.